package person.kalter.midletstructure;

import javax.microedition.lcdui.Graphics;
import javax.microedition.lcdui.game.GameCanvas;

/**
 * @author Kalter
 */

//абстрактный класс для всех наших экранов
public abstract class Screen extends GameCanvas{
    
    protected final int screenWidth; //ширина экрана
    protected final int screenHeight; //высота экрана
    protected final Graphics graphics; //объект для рисоваиния
    
    public Screen(){
        
        super(true);
        setFullScreenMode(true); //устанавливаем полный экран
        screenWidth=getWidth();
        screenHeight=getHeight();
        graphics=getGraphics();
    }
    
    //метод, который вызывается первым после установки на дисплей
    public abstract void start();
}